#ifndef WIFI_CALIBRATION_H_
#define WIFI_CALIBRATION_H_

/****************************************************************************
 * Microcontroller CPU speed calibration                                    *
 ****************************************************************************/

/* CPU frequency in HZ */
#define CPU_HZ			12000000
/* 1ms timer calibration */
#define DELAY_1MS_TIMERFREQ	(1 << CS01) /* == CPU_FREQ/8 */
#define DELAY_1MS_LOOP		125
#define DELAY_1MS_LOOP_TIMES	12
/* 1us delayloop calibration */
#define DELAY_1US_LOOP		4
/* System timer calibration. Calibrated to 10Hz */
#define SYSTIMER_TIMERFREQ	((1 << CS10) | (1 << CS12)) /* == CPU_HZ/1024 */
#define SYSTIMER_CMPVAL		1172
#define JIFFIES_PER_SECOND	10
/* The minimum battery percentage when the system will go panic. */
#define MIN_BATTERY_PERCENT	2
/* The number of jiffies the backlight will stay ON. */
#define MAX_BACKL_ON_TIME	(JIFFIES_PER_SECOND * 10)


#endif /* WIFI_CALIBRATION_H_ */
