#ifndef WIFI_ERRNO_H_
#define WIFI_ERRNO_H_

#include <avr/pgmspace.h>


/* Error codes */
#define EOK		0 /* No error */
#define ERXFE		1 /* USART RX frame error */
#define ERXPE		2 /* USART RX parity error */
#define ERXOV		3 /* USART RX hardware buffer overflow */
#define ENODATA		4 /* No data available */
#define EOVERFLOW	5 /* Buffer overflow */
#define ETIMEDOUT	6 /* Timeout */
#define ENOSPC		7 /* No space available */
#define EINTR		8 /* User interrupted */
#define EIGNORE		9 /* Ignored */

const prog_char * errno_string(int8_t err);

#endif /* WIFI_ERRNO_H_ */
